Description

English version of O.G.S.E. 0.6.9.2. Just restoring old good download.

Preview
O.G.S.E. 0.6.9.2. Eng
Comments
tykaller_
tykaller_ - - 242 comments

I got so excited thinking it said 0.6.9.3 :(

Reply Good karma Bad karma+14 votes
Emmet.Otter
Emmet.Otter - - 1,719 comments

HA! same here =(

Reply Good karma Bad karma+1 vote
Mr_Hamfi
Mr_Hamfi - - 1,357 comments

Awesome ! ..downloading ..
by the way , what about the " English version of O.G.S.E. 0.6.9.3 " , is is ready ?

Reply Good karma Bad karma+6 votes
Mr_Hamfi
Mr_Hamfi - - 1,357 comments

ooops , you mentioned the answer here Moddb.com

Reply Good karma Bad karma+2 votes
cmp100
cmp100 - - 280 comments

what setting you use? last time when i play it have more crash.

Reply Good karma Bad karma+2 votes
Ozonix
Ozonix - - 21 comments

Apparently I have a save for OGSE even though I searched everywhere and don't have the mod, but I also have Lost Alpha and now I'm confused to hell about which is which...guess I'll find out once I have reinstalled this :D

Reply Good karma Bad karma+1 vote
cmp100
cmp100 - - 280 comments

any fix for this version?

Reply Good karma Bad karma+1 vote
SimplyYuri
SimplyYuri - - 1,199 comments

No. It's not supported anymore. Re-uploaded due to many requests.

Reply Good karma Bad karma+2 votes
Fedeman5
Fedeman5 - - 52 comments

can someone please help me? i wanted to change some stuff in the configuration section of the mod and when i click apply the numbers etc reset and it says it was saved but when i start the game no changes at all

Reply Good karma Bad karma+1 vote
cmp100
cmp100 - - 280 comments

i need argus textures

Reply Good karma Bad karma+1 vote
cmp100
cmp100 - - 280 comments

i give 10 for ogse 0692 and 5 for 0693

Reply Good karma Bad karma+1 vote
JayFKay
JayFKay - - 342 comments

why

Reply Good karma Bad karma+1 vote
GeeNo_
GeeNo_ - - 62 comments

What version of SoC is this compatible with? Feel like a trip down memory lane but don't remember which version I need to patch my game to.

Reply Good karma Bad karma+1 vote
GeeNo_
GeeNo_ - - 62 comments

Nevermind, found out through trial and error it's 1.0005. So if you're on Steam you need to downgrade to it via something like this Reddit.com

Reply Good karma Bad karma+1 vote
ice_trey
ice_trey - - 1,109 comments

why exe? why not a standard rar file first with the exe INSIDE? ... :I

Reply Good karma Bad karma+1 vote
Refragger
Refragger - - 3,242 comments

Thank you Yuri. I liked this mod so much I played through it eleven times. Even today I still recommend it to stalkers with older rigs.

Reply Good karma Bad karma+1 vote
andrew5892
andrew5892 - - 8 comments

wow this mod doesnt work cant start it

Reply Good karma Bad karma+1 vote
Refragger
Refragger - - 3,242 comments

I liked 0692 so well I played it eleven times. Am thinking of playing again. Is anyone playing it now?

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.